"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var storybook_chrome_screenshot_1 = require("storybook-chrome-screenshot");
var with_readme_1 = require("storybook-readme/with-readme");
var _1 = require("../");
var Readme = require("./README/DropDownButton.md");
react_1.storiesOf('Core/DropDownButton', module)
    .addDecorator(with_readme_1.default(Readme))
    .addDecorator(storybook_chrome_screenshot_1.withScreenshot())
    .add('Standard', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.DropDownButton, { mx: 2, primary: true, label: React.createElement("div", null, "DropDown") },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")),
            React.createElement(_1.DropDownButton, { mx: 2, secondary: true, label: React.createElement("div", null, "DropDown") },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")),
            React.createElement(_1.DropDownButton, { mx: 2, tertiary: true, label: React.createElement("div", null, "DropDown") },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")),
            React.createElement(_1.DropDownButton, { mx: 2, label: React.createElement("div", null, "DropDown") },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")))));
})
    .add('Borderless', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.DropDownButton, { mx: 2, border: false, primary: true, label: React.createElement("div", null, "DropDown") },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")),
            React.createElement(_1.DropDownButton, { mx: 2, border: false, secondary: true, label: React.createElement("div", null, "DropDown") },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")),
            React.createElement(_1.DropDownButton, { mx: 2, border: false, tertiary: true, label: React.createElement("div", null, "DropDown") },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")),
            React.createElement(_1.DropDownButton, { mx: 2, border: false, label: React.createElement("div", null, "DropDown") },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")))));
})
    .add('Joined', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.DropDownButton, { mx: 2, joined: true, primary: true, label: 'DropDown' },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")),
            React.createElement(_1.DropDownButton, { mx: 2, joined: true, secondary: true, label: React.createElement("div", null, "DropDown") },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")),
            React.createElement(_1.DropDownButton, { mx: 2, joined: true, tertiary: true, label: React.createElement("div", null, "DropDown") },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")),
            React.createElement(_1.DropDownButton, { mx: 2, joined: true },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")))));
})
    .add('Outline', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.DropDownButton, { mx: 2, primary: true, outline: true, label: React.createElement("div", null, "DropDown") },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")),
            React.createElement(_1.DropDownButton, { mx: 2, danger: true, outline: true, label: React.createElement("div", null, "DropDown") },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")),
            React.createElement(_1.DropDownButton, { mx: 2, tertiary: true, outline: true, label: React.createElement("div", null, "DropDown") },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")),
            React.createElement(_1.DropDownButton, { mx: 2, outline: true, label: React.createElement("div", null, "DropDown") },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")))));
})
    .add('Outline + Joined', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.DropDownButton, { mx: 2, primary: true, joined: true, outline: true, label: React.createElement("div", null, "DropDown") },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")),
            React.createElement(_1.DropDownButton, { mx: 2, danger: true, joined: true, outline: true, label: React.createElement("div", null, "DropDown") },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")),
            React.createElement(_1.DropDownButton, { mx: 2, tertiary: true, joined: true, outline: true, label: React.createElement("div", null, "DropDown") },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")),
            React.createElement(_1.DropDownButton, { mx: 2, joined: true, outline: true, label: React.createElement("div", null, "DropDown") },
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item"),
                React.createElement("div", null, "Item")))));
})
    .add('Alignment', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.Flex, { justify: 'space-between' },
                React.createElement(_1.DropDownButton, { mx: 2, primary: true, label: React.createElement("div", null, "DropDown") },
                    React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit."),
                    React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit."),
                    React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit."),
                    React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit.")),
                React.createElement(_1.DropDownButton, { mx: 2, alignRight: true, secondary: true, label: React.createElement("div", null, "DropDown") },
                    React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit."),
                    React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit."),
                    React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit."),
                    React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit."))))));
})
    .add('Divider', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.DropDownButton, { mx: 2, primary: true, label: React.createElement("div", null, "DropDown") },
                React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit."),
                React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit."),
                React.createElement(_1.Divider, { color: '#c6c8c9', height: 1 }),
                React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit."),
                React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit."),
                React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit."),
                React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit.")))));
})
    .add('No List Formatting', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.DropDownButton, { mx: 2, noListFormat: true, primary: true, label: React.createElement("div", null, "DropDown") },
                React.createElement(_1.Box, { p: 3 },
                    React.createElement("h3", null, "Free input"),
                    React.createElement("p", null, "Lorem ipsum dolor sit amet"))))));
});
