"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var storybook_chrome_screenshot_1 = require("storybook-chrome-screenshot");
var with_readme_1 = require("storybook-readme/with-readme");
var _1 = require("../");
var Readme = require("./README/Input.md");
react_1.storiesOf('Core/Input', module)
    .addDecorator(with_readme_1.default(Readme))
    .addDecorator(storybook_chrome_screenshot_1.withScreenshot())
    .add('Standard', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Text' }),
            React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Text', invalid: true }),
            React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Text', valid: true }),
            React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Text', disabled: true }))));
})
    .add('Emphasized', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.Input, { m: 2, emphasized: true, placeholder: 'Placeholder Text' }),
            React.createElement(_1.Input, { m: 2, emphasized: true, placeholder: 'Placeholder Text', invalid: true }),
            React.createElement(_1.Input, { m: 2, emphasized: true, placeholder: 'Placeholder Text', valid: true }),
            React.createElement(_1.Input, { m: 2, emphasized: true, placeholder: 'Placeholder Text', disabled: true }))));
})
    .add('Monospace', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.Input, { m: 2, monospace: true, placeholder: 'Placeholder Text' }),
            React.createElement(_1.Input, { m: 2, monospace: true, placeholder: 'Placeholder Text', invalid: true }),
            React.createElement(_1.Input, { m: 2, monospace: true, placeholder: 'Placeholder Text', valid: true }),
            React.createElement(_1.Input, { m: 2, monospace: true, placeholder: 'Placeholder Text', disabled: true }))));
})
    .add('Input types', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement("label", null,
                React.createElement("div", null, "Text"),
                React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Text', type: 'text' })),
            React.createElement("label", null,
                React.createElement("div", null, "Number"),
                React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Number', type: 'number' })),
            React.createElement("label", null,
                React.createElement("div", null, "Date"),
                React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Date', type: 'date' })),
            React.createElement("label", null,
                React.createElement("div", null, "Month"),
                React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Month', type: 'month' })),
            React.createElement("label", null,
                React.createElement("div", null, "Password"),
                React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Password', type: 'password' })),
            React.createElement("label", null,
                React.createElement("div", null, "Time"),
                React.createElement(_1.Input, { m: 2, placeholder: 'Placeholder Time', type: 'time' })),
            React.createElement("label", null,
                React.createElement("div", null, "Checkbox"),
                React.createElement(_1.Input, { m: 2, type: 'checkbox' })))));
});
